> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mercoa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server.

# Get All

GET https://api.mercoa.com/entity/{entityId}/representatives

Get representatives for an entity

Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/representative/get-all

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `entityId` (string, required) — Entity ID or Entity ForeignID

## Response

### 200

- `list of RepresentativeResponse`

## Errors

### 400 Bad Request

- `errorName` ("BadRequest", required)
- `content` (string, required)

### 401 Unauthorized

- `errorName` ("Unauthorized", required)
- `content` (string, required)

### 403 Forbidden

- `errorName` ("Forbidden", required)
- `content` (string, required)

### 404 Not Found

- `errorName` ("NotFound", required)
- `content` (string, required)

### 409 Conflict

- `errorName` ("Conflict", required)
- `content` (string, required)

### 500 Internal Server Error

- `errorName` ("InternalServerError", required)
- `content` (string, required)

### 501 Unimplemented

- `errorName` ("Unimplemented", required)
- `content` (string, required)

## Types

### RepresentativeResponse

- `id` (string, required)
- `name` (FullName, required)
- `address` (Address, required)
- `birthDateProvided` (boolean, required)
- `governmentIDProvided` (boolean, required)
- `responsibilities` (Responsibilities, required)
- `createdOn` (datetime, required)
- `updatedOn` (datetime, required)
- `phone` (PhoneNumber, optional)
- `email` (string, optional)
- `disabledOn` (datetime, optional)

### FullName

- `firstName` (string, required)
- `lastName` (string, required)
- `middleName` (string, optional)
- `suffix` (string, optional)

### Address

- `addressLine1` (string, required)
- `city` (string, required)
- `stateOrProvince` (string, required) — State or province code. Must be in the format XX.
- `postalCode` (string, required) — Postal code. Must be in the format XXXXX or XXXXX-XXXX.
- `addressLine2` (string, optional)
- `country` (string, optional)

### Responsibilities

- `jobTitle` (string, optional)
- `isController` (boolean, optional) — Indicates whether this individual has significant management responsibilities within the business
- `isOwner` (boolean, optional) — Indicates whether this individual has an ownership stake of at least 25% in the business
- `ownershipPercentage` (integer, optional) — Percentage of ownership in the business. Must be between 0 and 100.

### PhoneNumber

- `countryCode` (string, required)
- `number` (string, required)

## Examples

**Response**

```json
[
  {
    "id": "rep_958c4ffb-dc06-494c-a0e0-1b4946c6bb0f",
    "name": {
      "firstName": "Jane",
      "lastName": "Smith"
    },
    "address": {
      "addressLine1": "456 Main St",
      "city": "New York",
      "stateOrProvince": "NY",
      "postalCode": "10001",
      "country": "US"
    },
    "birthDateProvided": true,
    "governmentIDProvided": true,
    "responsibilities": {
      "isOwner": true,
      "ownershipPercentage": 40
    },
    "createdOn": "2024-01-01T00:00:00Z",
    "updatedOn": "2024-01-01T00:00:00Z",
    "phone": {
      "countryCode": "1",
      "number": "2075551234"
    },
    "email": "jane.smith@acme.com",
    "disabledOn": null
  },
  {
    "id": "rep_7df2974a-4069-454c-912f-7e58ebe030fb",
    "name": {
      "firstName": "John",
      "lastName": "Adams",
      "middleName": "Quincy",
      "suffix": "Jr."
    },
    "address": {
      "addressLine1": "123 Main St",
      "city": "San Francisco",
      "stateOrProvince": "CA",
      "postalCode": "94105",
      "addressLine2": "Unit 1",
      "country": "US"
    },
    "birthDateProvided": true,
    "governmentIDProvided": true,
    "responsibilities": {
      "isController": true,
      "isOwner": true,
      "ownershipPercentage": 40
    },
    "createdOn": "2024-01-01T00:00:00Z",
    "updatedOn": "2024-01-01T00:00:00Z",
    "phone": {
      "countryCode": "1",
      "number": "4155551234"
    },
    "email": "john.doe@acme.com",
    "disabledOn": null
  }
]
```

**SDK Code**

```python BusinessPayorRepresentatives
import requests

url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript BusinessPayorRepresentatives
import { MercoaClient } from "@mercoa/javascript";

const client = new MercoaClient({ token: "YOUR_TOKEN" });
await client.entity.representative.getAll("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c");

```

```go BusinessPayorRepresentatives
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby BusinessPayorRepresentatives
require 'uri'
require 'net/http'

url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java BusinessPayorRepresentatives
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php BusinessPayorRepresentatives
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp BusinessPayorRepresentatives
using RestSharp;

var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift BusinessPayorRepresentatives
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representatives")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```